<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2006-2008 - INRIA
 *
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="rowcompr">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>rowcompr</refname>
    <refpurpose> row compression of polynomial matrix</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>[X,rk,Ac]=rowcompr(A)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>A</term>
        <listitem>
          <para>polynomial matrix</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>Y</term>
        <listitem>
          <para>square polynomial matrix (left unimodular basis)</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>rk</term>
        <listitem>
          <para>normal rank of <literal>A</literal></para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>Ac</term>
        <listitem>
          <para> <literal>Ac=X*A</literal>, polynomial matrix</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    row compression of polynomial matrix <literal>A</literal>.</para>
    <para><literal>X</literal> is a left polynomial unimodular basis which row compressed
    thee rows of <literal>A</literal>. <literal>rk</literal> is the normal rank of A.</para>
    <para>
    Warning: elimination of "small" terms (use with care!).</para>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="colcompr">colcompr</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
